// package fabrics -- "грязная" фабрика объектов
package fabrics

import (
	"fmt"

	"gitp78su.ipnodns.ru/svi/test_arch/lev0/types"
	"gitp78su.ipnodns.ru/svi/test_arch/lev3/service"
)

// NewService -- возвращает новый сервис
func NewService() (types.IService, error) {
	sf, err := service.NewService()
	if err != nil {
		return nil, fmt.Errorf("NewService(): in create IService, err=\n\t%w", err)
	}

	return sf, nil
}
